package jp.ossc.petstore.model;

import jp.ossc.petstore.model.Category;

/**
 * 商品情報モデルクラス
 * @author ossc
 * @version $Revision: 1.2 $
 */
public class Product {

	/**
	 * 商品ＩＤ
	 */
    private int id;

    /**
     * 商品名
     */
    private String name;

    /**
     * 金額
     */
    private int price;

    /**
     * 商品イメージファイル
     */
    private String image;

    /**
     * 商品説明
     */
    private String explanation;

    /**
     * カテゴリ情報
     */
    private Category category;


    /**
     * コンストラクタ
     */
    public Product() {
    }

    /**
     * コンストラクタ
     * @param id 商品ＩＤ
     */
    public Product(int id) {
        this.id = id;
    }

    /**
     * コンストラクタ
     * @param id 商品ＩＤ
     * @param name 商品名
     * @param price 金額
     * @param image 商品イメージファイル
     * @param explanation 商品説明
     * @param category カテゴリ情報
     */
    public Product(
    		int id,
    		String name,
    		int price,
    		String image,
    		String explanation,
    		Category category) {
        this.id = id;
        this.name = name;
        this.price = price;
        this.image = image;
        this.explanation = explanation;
        this.category = category;
    }

    /**
     * 商品ＩＤ取得
     * @return 商品ＩＤ
     */
    public int getId() {
        return this.id;
    }

    /**
     * 商品ＩＤ設定
     * @param id 商品ＩＤ
     */
    public void setId(int id) {
        this.id = id;
    }

    /**
     * 商品名取得
     * @return 商品名
     */
    public String getName() {
        return this.name;
    }

    /**
     * 商品名設定
     * @param name 商品名
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 金額取得
     * @return 金額
     */
    public int getPrice() {
        return this.price;
    }

    /**
     * 金額設定
     * @param price 金額
     */
    public void setPrice(int price) {
        this.price = price;
    }

    /**
     * 商品イメージファイル取得
     * @return 商品イメージファイル
     */
    public String getImage() {
        return this.image;
    }

    /**
     * 商品イメージファイル設定
     * @param image 商品イメージファイル
     */
    public void setImage(String image) {
        this.image = image;
    }

    /**
     * 商品説明取得
     * @return 商品説明
     */
    public String getExplanation() {
        return this.explanation;
    }

    /**
     * 商品説明設定
     * @param explanation 商品説明
     */
    public void setExplanation(String explanation) {
        this.explanation = explanation;
    }

    /**
     * カテゴリ情報取得
     * @return カテゴリ情報
     */
    public Category getCategory() {
        return this.category;
    }

    /**
     * カテゴリ情報設定
     * @param category カテゴリ情報
     */
    public void setCategory(Category category) {
        this.category = category;
    }

}
